Package proton :: Module utils :: Class Fetcher

[frames] | no frames]

# Class Fetcher

source code

               object --+
                        |
                  Handler --+
                            |
               object --+   |
                        |   |
          handlers.Acking --+
                            |
    handlers.MessagingHandler --+
                                |
                               Fetcher

Instance Methods

__init__(self, connection, prefetch) x.__init__(...) initializes x; see help(type(x)) for signature | source code

on_message(self, event) Called when a message is received. | source code

on_link_error(self, event) Called when the peer closes the link with an error condition. | source code

on_connection_error(self, event) Called when the peer closes the connection with an error condition. | source code

pop(self) | source code

settle(self, state=None) | source code

Inherited from `handlers.MessagingHandler`: `on_accepted`, `on_connection_closed`, `on_connection_closing`, `on_disconnected`, `on_link_closed`, `on_link_closing`, `on_reactor_init`, `on_rejected`, `on_released`, `on_sendable`, `on_session_closed`, `on_session_closing`, `on_session_error`, `on_settled`, `on_start`, `on_transport_error`

Inherited from `Handler`: `handlers`, `on_unhandled`

Inherited from `handlers.Acking`: `accept`, `reject`, `release`

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
| has_message
Inherited from `object`: `__class__`

Method Details

### __init__(self, connection, prefetch)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

### on_message(self, event)

source code

Called when a message is received. The message itself can be obtained as a property on the event. For the purpose of refering to this message in further actions (e.g. if explicitly accepting it, the ``delivery`` should be used, also obtainable via a property on the event.

Overrides: handlers.MessagingHandler.on_message
  (inherited documentation)

### on_link_error(self, event)

source code

Called when the peer closes the link with an error condition.

Overrides: handlers.MessagingHandler.on_link_error
  (inherited documentation)

### on_connection_error(self, event)

source code

Called when the peer closes the connection with an error condition.

Overrides: handlers.MessagingHandler.on_connection_error
  (inherited documentation)

### settle(self, state=None)

source code

Overrides: handlers.Acking.settle

Property Details

### has_message

Get Method:
  unreachable.has_message(self)